Summary: user identifying gnome applet
Name: cued-userident-applet
Version: 1.0
Release: 3
BuildRoot: %{_tmppath}/%{name}-%{version}.%{release}-build
Group: CUED
License: GPL
BuildRequires: scrollkeeper libgnome-devel libgnomeui-devel atk-devel libbonoboui-devel gtk2-devel glib2-devel openldap2-devel gnome-panel-devel glibc-devel
Requires: libgnome libgnomeui atk libbonoboui gtk2 glib2 openldap2-client gnome-panel glibc scrollkeeper
Source0: cued-userident-applet-%{version}.tar.gz
Patch1:  cued-userident-applet-%{version}.rev1.patch
Patch2:  cued-userident-applet-%{version}.rev2.patch

%description
Used to identify the logged in user to help demonstrators
%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%ifarch x86_64
make ARCHLIB=lib64
%else
make ARCHLIB=lib
%endif

%install
mkdir -p $RPM_BUILD_ROOT/opt/gnome/lib/gnome-applets/
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/gnome/help/userident/C
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/omf/userident
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/gnome-2.0/ui
%ifarch x86_64
mkdir -p $RPM_BUILD_ROOT/opt/gnome/lib64/bonobo/servers
%else
mkdir -p $RPM_BUILD_ROOT/opt/gnome/lib/bonobo/servers
%endif
install -s -m 755 -o 0 -g 0 userident-applet $RPM_BUILD_ROOT/opt/gnome/lib/gnome-applets/userident-applet
install -m 644 -o 0 -g 0 userident-C.omf $RPM_BUILD_ROOT/opt/gnome/share/omf/userident/userident-C.omf
install -m 644 -o 0 -g 0 userident.xml $RPM_BUILD_ROOT/opt/gnome/share/gnome/help/userident/C/userident.xml
install -m 644 -o 0 -g 0 CUED_UseridentApplet.xml $RPM_BUILD_ROOT/opt/gnome/share/gnome-2.0/ui/CUED_UseridentApplet.xml
%ifarch x86_64
install -m 644 -o 0 -g 0 CUED_UseridentApplet_Factory.server $RPM_BUILD_ROOT/opt/gnome/lib64/bonobo/servers/CUED_UseridentApplet_Factory.server
%else
install -m 644 -o 0 -g 0 CUED_UseridentApplet_Factory.server $RPM_BUILD_ROOT/opt/gnome/lib/bonobo/servers/CUED_UseridentApplet_Factory.server
%endif

%files
/opt/gnome/lib/gnome-applets/userident-applet
%ifarch x86_64
/opt/gnome/lib64/bonobo/servers/CUED_UseridentApplet_Factory.server
%else
/opt/gnome/lib/bonobo/servers/CUED_UseridentApplet_Factory.server
%endif
/opt/gnome/share/gnome-2.0/ui/CUED_UseridentApplet.xml
/opt/gnome/share/gnome/help/userident/
/opt/gnome/share/omf/userident/

%post
scrollkeeper-rebuilddb
scrollkeeper-install /opt/gnome/share/omf/userident/userident-C.omf

%postun 
scrollkeeper-uninstall /opt/gnome/share/omf/userident/userident-C.omf
